Which Android version is required for the app?

The viewneo app runs from Android version 4.2. onwards.

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Write us or take a look at our viewneo Forum.